/brevo-ecommerce | Type: Application | PCID required: Yes
Tools
brevo_ecommerce_create_batch_order
Create orders in batch Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
historical | boolean | No | — | Defines whether you want your orders to be considered as live data or as historical data (import of past data, synchronising data). True: orders will not trigger any automation workflows. False: orders will trigger workflows as usual. |
notifyUrl | string | No | — | Webhook URL to receive the status of the batch request |
orders | object[] | Yes | — | array of order objects |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"historical": {
"type": "boolean",
"description": "Defines whether you want your orders to be considered as live data or as historical data (import of past data, synchronising data). True: orders will not trigger any automation workflows. False: orders will trigger workflows as usual."
},
"notifyUrl": {
"type": "string",
"description": "Webhook URL to receive the status of the batch request"
},
"orders": {
"type": "array",
"items": {
"type": "object",
"properties": {
"amount": {
"type": "number",
"description": "Total amount of the order, including all shipping expenses, tax and the price of items."
},
"billing": {
"type": "object",
"description": "Billing details of an order."
},
"coupons": {
"type": "array",
"items": {
"type": "string"
},
"description": "Coupons applied to the order. Stored case insensitive."
},
"createdAt": {
"type": "string",
"description": "Event occurrence UTC date-time (YYYY-MM-DDTHH:mm:ssZ), when order is actually created."
},
"id": {
"type": "string",
"description": "Unique ID of the order."
},
"identifiers": {
"type": "object",
"description": "Identifies the contact associated with the order."
},
"metaInfo": {
"type": "object",
"description": "Meta data of order to store additional detail such as custom message, customer type, source."
},
"products": {
"type": "array",
"items": {
"type": "object",
"properties": {
"price": {
"type": "number",
"description": "The price of a unit of product"
},
"productId": {
"type": "string",
"description": "ID of the product."
},
"variantId": {
"type": "string",
"description": "Product ID of the red color shirts."
},
"quantity": {
"type": "integer",
"description": "**Required if quantityFloat is empty.** Number of product units added to the cart (whole numbers only, e.g., 10) "
},
"quantityFloat": {
"type": "number",
"description": "**Required if quantity is empty.** Number of product units added to the cart(supports decimals, e.g., 20.52) "
}
}
},
"description": "The products value"
},
"status": {
"type": "string",
"description": "State of the order."
},
"storeId": {
"type": "string",
"description": "ID of store where the order is placed"
},
"updatedAt": {
"type": "string",
"description": "Event updated UTC date-time (YYYY-MM-DDTHH:mm:ssZ), when the status of the order is actually changed/updated."
}
},
"required": [
"id",
"createdAt",
"updatedAt",
"status",
"amount",
"products"
]
},
"description": "array of order objects"
}
},
"required": [
"PCID",
"orders"
]
}
brevo_ecommerce_create_coupon_collection
Create а coupon collection Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
defaultCoupon | string | Yes | — | Default coupons collection name |
expirationDate | string | No | — | Specify an expiration date for the coupon collection in RFC3339 format. Use null to remove the expiration date. |
name | string | Yes | — | Name of the coupons collection |
remainingCouponsAlert | integer | No | — | Send a notification alert (email) when the remaining coupons count is equal or fall bellow this number. Use null to disable alerts. |
remainingDaysAlert | integer | No | — | Send a notification alert (email) when the remaining days until the expiration date are equal or fall bellow this number. Use null to disable alerts. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"defaultCoupon": {
"type": "string",
"description": "Default coupons collection name"
},
"expirationDate": {
"type": "string",
"description": "Specify an expiration date for the coupon collection in RFC3339 format. Use null to remove the expiration date."
},
"name": {
"type": "string",
"description": "Name of the coupons collection"
},
"remainingCouponsAlert": {
"type": "integer",
"description": "Send a notification alert (email) when the remaining coupons count is equal or fall bellow this number. Use null to disable alerts."
},
"remainingDaysAlert": {
"type": "integer",
"description": "Send a notification alert (email) when the remaining days until the expiration date are equal or fall bellow this number. Use null to disable alerts."
}
},
"required": [
"PCID",
"defaultCoupon",
"name"
]
}
brevo_ecommerce_create_coupons
Create coupons for a coupon collection Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
collectionId | string | Yes | — | The id of the coupon collection for which the coupons will be created |
coupons | string[] | Yes | — | The coupons value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"collectionId": {
"type": "string",
"description": "The id of the coupon collection for which the coupons will be created"
},
"coupons": {
"type": "array",
"items": {
"type": "string"
},
"description": "The coupons value"
}
},
"required": [
"PCID",
"collectionId",
"coupons"
]
}
brevo_ecommerce_create_ecommerce_activate
Activate the eCommerce appShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
brevo_ecommerce_create_order
Managing the status of the order Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
amount | number | Yes | — | Total amount of the order, including all shipping expenses, tax and the price of items. |
billing | object | No | — | Billing details of an order. |
coupons | string[] | No | — | Coupons applied to the order. Stored case insensitive. |
createdAt | string | Yes | — | Event occurrence UTC date-time (YYYY-MM-DDTHH:mm:ssZ), when order is actually created. |
id | string | Yes | — | Unique ID of the order. |
identifiers | object | No | — | Identifies the contact associated with the order. |
metaInfo | object | No | — | Meta data of order to store additional detail such as custom message, customer type, source. |
products | object[] | Yes | — | The products value |
status | string | Yes | — | State of the order. |
storeId | string | No | — | ID of store where the order is placed |
updatedAt | string | Yes | — | Event updated UTC date-time (YYYY-MM-DDTHH:mm:ssZ), when the status of the order is actually changed/updated. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"amount": {
"type": "number",
"description": "Total amount of the order, including all shipping expenses, tax and the price of items."
},
"billing": {
"type": "object",
"description": "Billing details of an order.",
"properties": {
"address": {
"type": "string",
"description": "Full billing address."
},
"city": {
"type": "string",
"description": "Exact city of the address."
},
"country": {
"type": "string",
"description": "Billing country name."
},
"countryCode": {
"type": "string",
"description": "Billing country 2-letter ISO code."
},
"paymentMethod": {
"type": "string",
"description": "How the visitor will pay for the item(s), e.g. paypal, check, etc."
},
"phone": {
"type": "string",
"description": "Billing phone number."
},
"postCode": {
"type": "string",
"description": "Postcode for delivery and billing."
},
"region": {
"type": "string",
"description": "Exact region (state/province) for delivery and billing."
}
}
},
"coupons": {
"type": "array",
"items": {
"type": "string"
},
"description": "Coupons applied to the order. Stored case insensitive."
},
"createdAt": {
"type": "string",
"description": "Event occurrence UTC date-time (YYYY-MM-DDTHH:mm:ssZ), when order is actually created."
},
"id": {
"type": "string",
"description": "Unique ID of the order."
},
"identifiers": {
"type": "object",
"description": "Identifies the contact associated with the order.",
"properties": {
"email_id": {
"type": "string",
"description": "Email of the contact associated with the order"
},
"ext_id": {
"type": "string",
"description": "ext_id associated with the order"
},
"loyalty_subscription_id": {
"type": "string",
"description": "loyalty_subscription_id associated with the order"
},
"phone_id": {
"type": "string",
"description": "Phone number of the contact associated with the order"
}
}
},
"metaInfo": {
"type": "object",
"description": "Meta data of order to store additional detail such as custom message, customer type, source."
},
"products": {
"type": "array",
"items": {
"type": "object",
"properties": {
"price": {
"type": "number",
"description": "The price of a unit of product"
},
"productId": {
"type": "string",
"description": "ID of the product."
},
"variantId": {
"type": "string",
"description": "Product ID of the red color shirts."
},
"quantity": {
"type": "integer",
"description": "**Required if quantityFloat is empty.** Number of product units added to the cart (whole numbers only, e.g., 10)"
},
"quantityFloat": {
"type": "number",
"description": "**Required if quantity is empty.** Number of product units added to the cart(supports decimals, e.g., 20.52)"
}
},
"required": [
"productId",
"price"
]
},
"description": "The products value"
},
"status": {
"type": "string",
"description": "State of the order."
},
"storeId": {
"type": "string",
"description": "ID of store where the order is placed"
},
"updatedAt": {
"type": "string",
"description": "Event updated UTC date-time (YYYY-MM-DDTHH:mm:ssZ), when the status of the order is actually changed/updated."
}
},
"required": [
"PCID",
"amount",
"createdAt",
"id",
"products",
"status",
"updatedAt"
]
}
brevo_ecommerce_create_payment_request
Create a payment request Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
cart | object | Yes | — | Specify the payment currency and amount. |
configuration | object | No | — | Optional. Redirect contact to a custom success page once payment is successful. If empty the default Brevo page will be displayed once a payment is validated |
contactId | integer | Yes | — | Brevo ID of the contact requested to pay. |
description | string | No | — | Description of payment request. |
notification | object | No | — | Optional. Use this object if you want to let Brevo send an email to the contact, with the payment request URL. If empty, no notifications (message and reminders) will be sent. |
reference | string | Yes | — | Reference of the payment request, it will appear on the payment page. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"cart": {
"type": "object",
"description": "Specify the payment currency and amount.",
"properties": {
"currency": {
"type": "string",
"description": "Currency code for the payment amount.",
"enum": [
"EUR"
]
},
"specificAmount": {
"type": "integer",
"description": "Payment amount, in cents. e.g. if you want to request €12.00, then the amount in cents is 1200."
}
},
"required": [
"currency",
"specificAmount"
]
},
"configuration": {
"description": "Optional. Redirect contact to a custom success page once payment is successful. If empty the default Brevo page will be displayed once a payment is validated"
},
"contactId": {
"type": "integer",
"description": "Brevo ID of the contact requested to pay."
},
"description": {
"type": "string",
"description": "Description of payment request."
},
"notification": {
"type": "object",
"description": "Optional. Use this object if you want to let Brevo send an email to the contact, with the payment request URL. If empty, no notifications (message and reminders) will be sent.",
"properties": {
"channel": {
"type": "string",
"description": "Channel used to send the notifications.",
"enum": [
"email"
]
},
"text": {
"type": "string",
"description": "Use this field if you want to give more context to your contact about the payment request."
}
},
"required": [
"channel",
"text"
]
},
"reference": {
"type": "string",
"description": "Reference of the payment request, it will appear on the payment page."
}
},
"required": [
"PCID",
"cart",
"contactId",
"reference"
]
}
brevo_ecommerce_create_product_alert
Create a product alert for a contact Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | Product ID |
type | string | Yes | — | Alert type |
contactIdentifiers | object | No | — | Contact Identifiers |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "Product ID"
},
"type": {
"type": "string",
"description": "Alert type",
"enum": [
"back_in_stock"
]
},
"contactIdentifiers": {
"type": "object",
"description": "Contact Identifiers",
"properties": {
"email": {
"type": "string",
"description": "Email address of the contact"
},
"ext_id": {
"type": "string",
"description": "Contact ID in your system"
},
"sms": {
"type": "string",
"description": "Sms of the contact"
}
}
}
},
"required": [
"PCID",
"id",
"type"
]
}
brevo_ecommerce_create_update_batch_category
Create categories in batch Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
categories | object[] | Yes | — | array of categories objects |
updateEnabled | boolean | No | — | Facilitate to update the existing categories in the same request (updateEnabled = true) |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"categories": {
"type": "array",
"items": {
"type": "object",
"properties": {
"deletedAt": {
"type": "string",
"description": "UTC date-time (YYYY-MM-DDTHH:mm:ss.SSSZ) of the category deleted from the shop's database"
},
"id": {
"type": "string",
"description": "Unique Category ID as saved in the shop"
},
"isDeleted": {
"type": "boolean",
"description": "category deleted from the shop's database"
},
"name": {
"type": "string",
"description": "**Mandatory in case of creation**. Name of the Category, as displayed in the shop"
},
"url": {
"type": "string",
"description": "URL to the category"
}
},
"required": [
"id"
]
},
"description": "array of categories objects"
},
"updateEnabled": {
"type": "boolean",
"description": "Facilitate to update the existing categories in the same request (updateEnabled = true)"
}
},
"required": [
"PCID",
"categories"
]
}
brevo_ecommerce_create_update_batch_products
Create products in batch Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
products | object[] | Yes | — | array of products objects |
updateEnabled | boolean | No | — | Facilitate to update the existing products in the same request (updateEnabled = true) |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"products": {
"type": "array",
"items": {
"type": "object",
"properties": {
"brand": {
"type": "string",
"description": "Brand of the product"
},
"categories": {
"type": "array",
"items": {
"type": "string"
},
"description": "Category ID-s of the product"
},
"deletedAt": {
"type": "string",
"description": "UTC date-time (YYYY-MM-DDTHH:mm:ss.SSSZ) of the product deleted from the shop's database"
},
"description": {
"type": "string",
"description": "Description of the product"
},
"id": {
"type": "string",
"format": "string",
"description": "Product ID for which you requested the details"
},
"imageUrl": {
"type": "string",
"format": "string",
"description": "Absolute URL to the cover image of the product"
},
"isDeleted": {
"type": "boolean",
"description": "product deleted from the shop's database"
},
"metaInfo": {
"type": "object",
"description": "Meta data of product such as description, vendor, producer, stock level. The total characters of cumulative metaInfo shall not exceed **20000 characters**."
},
"name": {
"type": "string",
"description": "**Mandatory in case of creation**. Name of the product, as displayed in the shop"
},
"parentId": {
"type": "string",
"format": "string",
"description": "Parent product id of the product"
},
"price": {
"type": "number",
"format": "float",
"description": "Price of the product"
},
"alternativePrice": {
"type": "number",
"format": "float",
"description": "Alternative price of the product"
},
"sku": {
"type": "string",
"format": "string",
"description": "Product identifier from the shop"
},
"stock": {
"type": "number",
"description": "Current stock value of the product from the shop's database"
},
"url": {
"type": "string",
"format": "string",
"description": "URL to the product"
}
},
"required": [
"id",
"name"
]
},
"description": "array of products objects"
},
"updateEnabled": {
"type": "boolean",
"description": "Facilitate to update the existing products in the same request (updateEnabled = true)"
}
},
"required": [
"PCID",
"products"
]
}
brevo_ecommerce_create_update_category
Create/Update a category Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
deletedAt | string | No | — | UTC date-time (YYYY-MM-DDTHH:mm:ss.SSSZ) of the category deleted from the shop’s database |
id | string | Yes | — | Unique Category ID as saved in the shop |
isDeleted | boolean | No | — | category deleted from the shop’s database |
name | string | No | — | Mandatory in case of creation. Name of the Category, as displayed in the shop |
updateEnabled | boolean | No | — | Facilitate to update the existing category in the same request (updateEnabled = true) |
url | string | No | — | URL to the category |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"deletedAt": {
"type": "string",
"description": "UTC date-time (YYYY-MM-DDTHH:mm:ss.SSSZ) of the category deleted from the shop's database"
},
"id": {
"type": "string",
"description": "Unique Category ID as saved in the shop"
},
"isDeleted": {
"type": "boolean",
"description": "category deleted from the shop's database"
},
"name": {
"type": "string",
"description": "**Mandatory in case of creation**. Name of the Category, as displayed in the shop"
},
"updateEnabled": {
"type": "boolean",
"description": "Facilitate to update the existing category in the same request (updateEnabled = true)"
},
"url": {
"type": "string",
"description": "URL to the category"
}
},
"required": [
"PCID",
"id"
]
}
brevo_ecommerce_create_update_product
Create/Update a product Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
alternativePrice | number | No | — | Alternative price of the product |
brand | string | No | — | Brand of the product |
categories | string[] | No | — | Category ID-s of the product |
deletedAt | string | No | — | UTC date-time (YYYY-MM-DDTHH:mm:ss.SSSZ) of the product deleted from the shop’s database |
description | string | No | — | Description of the product |
id | string | Yes | — | Product ID for which you requested the details |
imageUrl | string | No | — | Absolute URL to the cover image of the product |
isDeleted | boolean | No | — | product deleted from the shop’s database |
metaInfo | object | No | — | Meta data of product such as description, vendor, producer, stock level. The total characters of cumulative metaInfo shall not exceed 20000 characters. |
name | string | Yes | — | Mandatory in case of creation. Name of the product, as displayed in the shop |
parentId | string | No | — | Parent product id of the product |
price | number | No | — | Price of the product |
sku | string | No | — | Product identifier from the shop |
stock | number | No | — | Current stock value of the product from the shop’s database |
updateEnabled | boolean | No | — | Facilitate to update the existing product in the same request (updateEnabled = true) |
url | string | No | — | URL to the product |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"alternativePrice": {
"type": "number",
"description": "Alternative price of the product"
},
"brand": {
"type": "string",
"description": "Brand of the product"
},
"categories": {
"type": "array",
"items": {
"type": "string"
},
"description": "Category ID-s of the product"
},
"deletedAt": {
"type": "string",
"description": "UTC date-time (YYYY-MM-DDTHH:mm:ss.SSSZ) of the product deleted from the shop's database"
},
"description": {
"type": "string",
"description": "Description of the product"
},
"id": {
"type": "string",
"description": "Product ID for which you requested the details"
},
"imageUrl": {
"type": "string",
"description": "Absolute URL to the cover image of the product"
},
"isDeleted": {
"type": "boolean",
"description": "product deleted from the shop's database"
},
"metaInfo": {
"type": "object",
"description": "Meta data of product such as description, vendor, producer, stock level. The total characters of cumulative metaInfo shall not exceed **20000 characters**."
},
"name": {
"type": "string",
"description": "**Mandatory in case of creation**. Name of the product, as displayed in the shop"
},
"parentId": {
"type": "string",
"description": "Parent product id of the product"
},
"price": {
"type": "number",
"description": "Price of the product"
},
"sku": {
"type": "string",
"description": "Product identifier from the shop"
},
"stock": {
"type": "number",
"description": "Current stock value of the product from the shop's database"
},
"updateEnabled": {
"type": "boolean",
"description": "Facilitate to update the existing product in the same request (updateEnabled = true)"
},
"url": {
"type": "string",
"description": "URL to the product"
}
},
"required": [
"PCID",
"id",
"name"
]
}
brevo_ecommerce_delete_payment_request
Delete a payment request. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | ID of the payment request. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "ID of the payment request."
}
},
"required": [
"PCID",
"id"
]
}
brevo_ecommerce_get_attribution_metrics_by_conversion_source_by_conversion_source_id
Get detailed attribution metrics for a single Brevo campaign or workflow Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
conversionSource | string | Yes | — | The Brevo campaign type or workflow type for which data will be retrieved |
conversionSourceId | string | Yes | — | The Brevo campaign or automation workflow id for which data will be retrieved |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"conversionSource": {
"type": "string",
"description": "The Brevo campaign type or workflow type for which data will be retrieved",
"enum": [
"email_campaign",
"sms_campaign",
"automation_workflow_email",
"automation_workflow_sms"
]
},
"conversionSourceId": {
"type": "string",
"description": "The Brevo campaign or automation workflow id for which data will be retrieved"
}
},
"required": [
"PCID",
"conversionSource",
"conversionSourceId"
]
}
brevo_ecommerce_get_attribution_products_by_conversion_source_by_conversion_source_id
Get attributed product sales for a single Brevo campaign or workflow Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
conversionSource | string | Yes | — | The Brevo campaign or automation workflow type for which data will be retrieved |
conversionSourceId | string | Yes | — | The Brevo campaign or automation workflow id for which data will be retrieved |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"conversionSource": {
"type": "string",
"description": "The Brevo campaign or automation workflow type for which data will be retrieved",
"enum": [
"email_campaign",
"sms_campaign",
"automation_workflow_email",
"automation_workflow_sms"
]
},
"conversionSourceId": {
"type": "string",
"description": "The Brevo campaign or automation workflow id for which data will be retrieved"
}
},
"required": [
"PCID",
"conversionSource",
"conversionSourceId"
]
}
brevo_ecommerce_get_categories
Return all your categories Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
limit | integer | No | — | Number of documents per page |
offset | integer | No | — | Index of the first document in the page |
sort | string | No | — | Sort the results in the ascending/descending order of record creation. Default order is descending if sort is not passed |
ids | string[] | No | — | Filter by category ids |
name | string | No | — | Filter by category name |
modifiedSince | string | No | — | Filter (urlencoded) the categories modified after a given UTC date-time (YYYY-MM-DDTHH:mm:ss.SSSZ). Prefer to pass your timezone in date-time format for accurate result. |
createdSince | string | No | — | Filter (urlencoded) the categories created after a given UTC date-time (YYYY-MM-DDTHH:mm:ss.SSSZ). Prefer to pass your timezone in date-time format for accurate result. |
isDeleted | string | No | — | Filter categories by their deletion status. If false is passed, only categories that are not deleted will be returned. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"limit": {
"type": "integer",
"description": "Number of documents per page"
},
"offset": {
"type": "integer",
"description": "Index of the first document in the page"
},
"sort": {
"type": "string",
"description": "Sort the results in the ascending/descending order of record creation. Default order is **descending** if `sort` is not passed",
"enum": [
"asc",
"desc"
]
},
"ids": {
"type": "array",
"items": {
"type": "string"
},
"description": "Filter by category ids"
},
"name": {
"type": "string",
"description": "Filter by category name"
},
"modifiedSince": {
"type": "string",
"description": "Filter (urlencoded) the categories modified after a given UTC date-time (YYYY-MM-DDTHH:mm:ss.SSSZ). **Prefer to pass your timezone in date-time format for accurate result.**"
},
"createdSince": {
"type": "string",
"description": "Filter (urlencoded) the categories created after a given UTC date-time (YYYY-MM-DDTHH:mm:ss.SSSZ). **Prefer to pass your timezone in date-time format for accurate result.**"
},
"isDeleted": {
"type": "string",
"description": "Filter categories by their deletion status. If `false` is passed, only categories that are not deleted will be returned."
}
},
"required": [
"PCID"
]
}
brevo_ecommerce_get_category_info
Get a category details Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | Category ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "Category ID"
}
},
"required": [
"PCID",
"id"
]
}
brevo_ecommerce_get_coupon_collection
Get a coupon collection by id Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | Id of the collection to return |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "Id of the collection to return"
}
},
"required": [
"PCID",
"id"
]
}
brevo_ecommerce_get_coupon_collections
Get all your coupon collections Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
limit | integer | No | — | Number of documents returned per page |
offset | integer | No | — | Index of the first document on the page |
sort | string | No | — | Sort the results by creation time in ascending/descending order |
sortBy | string | No | — | The field used to sort coupon collections |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"limit": {
"type": "integer",
"description": "Number of documents returned per page"
},
"offset": {
"type": "integer",
"description": "Index of the first document on the page"
},
"sort": {
"type": "string",
"description": "Sort the results by creation time in ascending/descending order",
"enum": [
"asc",
"desc"
]
},
"sortBy": {
"type": "string",
"description": "The field used to sort coupon collections",
"enum": [
"createdAt",
"remainingCoupons",
"expirationDate"
]
}
},
"required": [
"PCID"
]
}
brevo_ecommerce_get_orders
Get order details Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
limit | integer | No | — | Number of documents per page |
offset | integer | No | — | Index of the first document in the page |
sort | string | No | — | Sort the results in the ascending/descending order of record creation. Default order is descending if sort is not passed |
modifiedSince | string | No | — | Filter (urlencoded) the orders modified after a given UTC date-time (YYYY-MM-DDTHH:mm:ss.SSSZ). Prefer to pass your timezone in date-time format for accurate result. |
createdSince | string | No | — | Filter (urlencoded) the orders created after a given UTC date-time (YYYY-MM-DDTHH:mm:ss.SSSZ). Prefer to pass your timezone in date-time format for accurate result. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"limit": {
"type": "integer",
"description": "Number of documents per page"
},
"offset": {
"type": "integer",
"description": "Index of the first document in the page"
},
"sort": {
"type": "string",
"description": "Sort the results in the ascending/descending order of record creation. Default order is **descending** if `sort` is not passed",
"enum": [
"asc",
"desc"
]
},
"modifiedSince": {
"type": "string",
"description": "Filter (urlencoded) the orders modified after a given UTC date-time (YYYY-MM-DDTHH:mm:ss.SSSZ). **Prefer to pass your timezone in date-time format for accurate result.**"
},
"createdSince": {
"type": "string",
"description": "Filter (urlencoded) the orders created after a given UTC date-time (YYYY-MM-DDTHH:mm:ss.SSSZ). **Prefer to pass your timezone in date-time format for accurate result.**"
}
},
"required": [
"PCID"
]
}
brevo_ecommerce_get_payment_request
Get payment request details Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | Id of the payment Request |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "Id of the payment Request"
}
},
"required": [
"PCID",
"id"
]
}
brevo_ecommerce_get_product_info
Get a product’s details Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | Product ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "Product ID"
}
},
"required": [
"PCID",
"id"
]
}
brevo_ecommerce_get_products
Return all your products Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
limit | integer | No | — | Number of documents per page |
offset | integer | No | — | Index of the first document in the page |
sort | string | No | — | Sort the results in the ascending/descending order of record creation. Default order is descending if sort is not passed |
ids | string[] | No | — | Filter by product ids |
search | string | No | — | Search products simultaneously across SKU, name, and ID fields. Results are returned in the following priority order: exact SKU match > SKU prefix match > name match > ID match. For example, ?search=123 on products with {sku: "123"} and {sku: "123456"} returns the exact SKU match first. |
name | string | No | — | Filter by product name, minimum 3 characters should be present for search. |
price[lte] | number | No | — | Price filter for products less than and equals to particular amount |
price[gte] | number | No | — | Price filter for products greater than and equals to particular amount |
price[lt] | number | No | — | Price filter for products less than particular amount |
price[gt] | number | No | — | Price filter for products greater than particular amount |
price[eq] | number | No | — | Price filter for products equals to particular amount |
price[ne] | number | No | — | Price filter for products not equals to particular amount |
alternativePrice[lte] | number | No | — | Alternative price filter for products less than and equals to particular amount |
alternativePrice[gte] | number | No | — | Alternative price filter for products greater than and equals to particular amount |
alternativePrice[lt] | number | No | — | Alternative price filter for products less than particular amount |
alternativePrice[gt] | number | No | — | Alternative price filter for products greater than particular amount |
alternativePrice[eq] | number | No | — | Alternative price filter for products equals to particular amount |
alternativePrice[ne] | number | No | — | Alternative price filter for products not equals to particular amount |
categories | string[] | No | — | Filter by categories ids |
modifiedSince | string | No | — | Filter (urlencoded) the products modified after a given UTC date-time (YYYY-MM-DDTHH:mm:ss.SSSZ). Prefer to pass your timezone in date-time format for accurate result. |
createdSince | string | No | — | Filter (urlencoded) the products created after a given UTC date-time (YYYY-MM-DDTHH:mm:ss.SSSZ). Prefer to pass your timezone in date-time format for accurate result. |
sortByField | string | No | — | Sort the results by a specific field. Default sort field is created_at when not passed. |
isDeleted | string | No | — | Filter products by their deletion status. If false is passed, only products that are not deleted will be returned. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"limit": {
"type": "integer",
"description": "Number of documents per page"
},
"offset": {
"type": "integer",
"description": "Index of the first document in the page"
},
"sort": {
"type": "string",
"description": "Sort the results in the ascending/descending order of record creation. Default order is **descending** if `sort` is not passed",
"enum": [
"asc",
"desc"
]
},
"ids": {
"type": "array",
"items": {
"type": "string"
},
"description": "Filter by product ids"
},
"search": {
"type": "string",
"description": "Search products simultaneously across SKU, name, and ID fields. Results are returned in the following priority order: **exact SKU match** > **SKU prefix match** > **name match** > **ID match**. For example, `?search=123` on products with `{sku: \"123\"}` and `{sku: \"123456\"}` returns the exact SKU match first."
},
"name": {
"type": "string",
"description": "Filter by product name, minimum 3 characters should be present for search."
},
"price[lte]": {
"type": "number",
"description": "Price filter for products less than and equals to particular amount"
},
"price[gte]": {
"type": "number",
"description": "Price filter for products greater than and equals to particular amount"
},
"price[lt]": {
"type": "number",
"description": "Price filter for products less than particular amount"
},
"price[gt]": {
"type": "number",
"description": "Price filter for products greater than particular amount"
},
"price[eq]": {
"type": "number",
"description": "Price filter for products equals to particular amount"
},
"price[ne]": {
"type": "number",
"description": "Price filter for products not equals to particular amount"
},
"alternativePrice[lte]": {
"type": "number",
"description": "Alternative price filter for products less than and equals to particular amount"
},
"alternativePrice[gte]": {
"type": "number",
"description": "Alternative price filter for products greater than and equals to particular amount"
},
"alternativePrice[lt]": {
"type": "number",
"description": "Alternative price filter for products less than particular amount"
},
"alternativePrice[gt]": {
"type": "number",
"description": "Alternative price filter for products greater than particular amount"
},
"alternativePrice[eq]": {
"type": "number",
"description": "Alternative price filter for products equals to particular amount"
},
"alternativePrice[ne]": {
"type": "number",
"description": "Alternative price filter for products not equals to particular amount"
},
"categories": {
"type": "array",
"items": {
"type": "string"
},
"description": "Filter by categories ids"
},
"modifiedSince": {
"type": "string",
"description": "Filter (urlencoded) the products modified after a given UTC date-time (YYYY-MM-DDTHH:mm:ss.SSSZ). **Prefer to pass your timezone in date-time format for accurate result.**"
},
"createdSince": {
"type": "string",
"description": "Filter (urlencoded) the products created after a given UTC date-time (YYYY-MM-DDTHH:mm:ss.SSSZ). **Prefer to pass your timezone in date-time format for accurate result.**"
},
"sortByField": {
"type": "string",
"description": "Sort the results by a specific field. Default sort field is `created_at` when not passed.",
"enum": [
"created_at",
"name",
"price",
"id"
]
},
"isDeleted": {
"type": "string",
"description": "Filter products by their deletion status. If `false` is passed, only products that are not deleted will be returned."
}
},
"required": [
"PCID"
]
}
brevo_ecommerce_list_ecommerce_attribution_metrics
Get attribution metrics for one or more Brevo campaigns or workflows Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
periodFrom | string | No | — | When getting metrics for a specific period, define the starting datetime in RFC3339 format |
periodTo | string | No | — | When getting metrics for a specific period, define the end datetime in RFC3339 format |
emailCampaignId[] | string[] | No | — | The email campaign ID(s) to get metrics for |
smsCampaignId[] | string[] | No | — | The SMS campaign ID(s) to get metrics for |
automationWorkflowEmailId[] | string[] | No | — | The automation workflow ID(s) to get email attribution metrics for |
automationWorkflowSmsId[] | string[] | No | — | The automation workflow ID(s) to get SMS attribution metrics for |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"periodFrom": {
"type": "string",
"description": "When getting metrics for a specific period, define the starting datetime in RFC3339 format"
},
"periodTo": {
"type": "string",
"description": "When getting metrics for a specific period, define the end datetime in RFC3339 format"
},
"emailCampaignId[]": {
"type": "array",
"items": {
"type": "string"
},
"description": "The email campaign ID(s) to get metrics for"
},
"smsCampaignId[]": {
"type": "array",
"items": {
"type": "string"
},
"description": "The SMS campaign ID(s) to get metrics for"
},
"automationWorkflowEmailId[]": {
"type": "array",
"items": {
"type": "string"
},
"description": "The automation workflow ID(s) to get email attribution metrics for"
},
"automationWorkflowSmsId[]": {
"type": "array",
"items": {
"type": "string"
},
"description": "The automation workflow ID(s) to get SMS attribution metrics for"
}
},
"required": [
"PCID"
]
}
brevo_ecommerce_list_ecommerce_config_display_currency
Get the ISO 4217 compliant display currency code for your Brevo accountShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
brevo_ecommerce_set_config_display_currency
Set the ISO 4217 compliant display currency code for your Brevo account Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
code | string | Yes | — | ISO 4217 compliant display currency code |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"code": {
"type": "string",
"description": "ISO 4217 compliant display currency code"
}
},
"required": [
"PCID",
"code"
]
}
brevo_ecommerce_update_coupon_collection
Update a coupon collection by id Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | Id of the collection to update |
defaultCoupon | string | No | — | A default coupon to be used in case there are no coupons left |
expirationDate | string | No | — | Specify an expiration date for the coupon collection in RFC3339 format. Use null to remove the expiration date. |
remainingCouponsAlert | integer | No | — | Send a notification alert (email) when the remaining coupons count is equal or fall bellow this number. Use null to disable alerts. |
remainingDaysAlert | integer | No | — | Send a notification alert (email) when the remaining days until the expiration date are equal or fall bellow this number. Use null to disable alerts. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "Id of the collection to update"
},
"defaultCoupon": {
"type": "string",
"description": "A default coupon to be used in case there are no coupons left"
},
"expirationDate": {
"type": "string",
"description": "Specify an expiration date for the coupon collection in RFC3339 format. Use null to remove the expiration date."
},
"remainingCouponsAlert": {
"type": "integer",
"description": "Send a notification alert (email) when the remaining coupons count is equal or fall bellow this number. Use null to disable alerts."
},
"remainingDaysAlert": {
"type": "integer",
"description": "Send a notification alert (email) when the remaining days until the expiration date are equal or fall bellow this number. Use null to disable alerts."
}
},
"required": [
"PCID",
"id"
]
}

